--
alter table parts add column taxincluded boolean;
alter table invoice add column taxincluded boolean;
alter table orderitems add column taxincluded boolean;
alter table gp add column project varchar(255);
alter table gp add column sub varchar(255);
alter table ou add column project varchar(255);
alter table ou add column sub varchar(255);
alter table acc_trans add column project varchar(255);
alter table acc_trans add column sub varchar(255);
alter table invoice add column tax float;
alter table orderitems add column tax float;


update parts set taxincluded='false';

drop view statement2;
create view statement2 as
SELECT gl.id, 'gl' AS type, FALSE AS invoice, gl.source,
gl.description, acc_trans.transdate,
acc_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno, transtype, batch,transno,subtransno,acc_trans.project, acc_trans.sub
FROM gl, acc_trans, chart
WHERE 1 = 1
AND acc_trans.chart_id = chart.id
AND gl.id = acc_trans.trans_id
UNION ALL
SELECT ar.id, 'ar' AS type, ar.invoice, ar.invnumber,
ar.notes, acc_trans.transdate,
acc_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno, transtype, batch,transno,subtransno,acc_trans.project, acc_trans.sub
FROM ar, acc_trans, chart, customer
WHERE 1 = 1
AND acc_trans.chart_id = chart.id
AND ar.customer_id = customer.id
AND ar.id = acc_trans.trans_id
UNION ALL
SELECT ap.id, 'ap' AS type, ap.invoice, ap.invnumber,
ap.notes, acc_trans.transdate,
acc_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno,transtype, batch,transno,subtransno,acc_trans.project, acc_trans.sub
FROM ap, acc_trans, chart, vendor
WHERE 1 = 1
AND acc_trans.chart_id = chart.id
AND ap.vendor_id = vendor.id
AND ap.id = acc_trans.trans_id
UNION ALL
SELECT gp.id, 'gp' AS type, FALSE, gp_trans.source,
gp_trans.description as desc, gp_trans.transdate,
gp_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno,transtype, batch,transno,subtransno,gp.project, gp.sub
FROM gp, chart, gp_trans
WHERE 1 = 1
AND gp_trans.chart_id = chart.id

AND gp.id = gp_trans.id
UNION ALL
SELECT ou.id, 'ou' AS type, FALSE, ou_trans.source,
ou_trans.description as desc, ou_trans.transdate,
ou_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno,transtype, batch,transno,subtransno,ou.project, ou.sub
FROM ou, chart, ou_trans
WHERE 1 = 1
AND ou_trans.chart_id = chart.id

AND ou.id = ou_trans.id
UNION ALL
SELECT ar.id, 'dn' AS type, ar.invoice, ar.ordnumber,
customer.name, acc_trans.transdate,
acc_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno, transtype, batch,transno,subtransno,acc_trans.project, acc_trans.sub
FROM debitnote ar, acc_trans, chart, customer
WHERE 1 = 1
AND acc_trans.chart_id = chart.id
AND ar.customer_id = customer.id
AND ar.id = acc_trans.trans_id
UNION ALL
SELECT ap.id, 'dn1' AS type, ap.invoice, ap.ordnumber,
vendor.name, acc_trans.transdate,
acc_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno,transtype, batch,transno,subtransno,acc_trans.project, acc_trans.sub
FROM debitnote ap, acc_trans, chart, vendor
WHERE 1 = 1
AND acc_trans.chart_id = chart.id
AND ap.vendor_id = vendor.id
AND ap.id = acc_trans.trans_id
UNION ALL
SELECT ar.id, 'cn' AS type, ar.invoice, ar.ordnumber,
ar.notes, acc_trans.transdate,
acc_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno, transtype, batch,transno,subtransno,acc_trans.project, acc_trans.sub
FROM creditnote ar, acc_trans, chart, customer
WHERE 1 = 1
AND acc_trans.chart_id = chart.id
AND ar.customer_id = customer.id
AND ar.id = acc_trans.trans_id
UNION ALL
SELECT ap.id, 'cn1' AS type, ap.invoice, ap.ordnumber,
ap.notes, acc_trans.transdate,
acc_trans.amount, chart.accno, chart.description as accdesc,chart.id as chart_id,chart.gifi_accno,transtype, batch,transno,subtransno,acc_trans.project, acc_trans.sub
FROM creditnote ap, acc_trans, chart, vendor
WHERE 1 = 1
AND acc_trans.chart_id = chart.id
AND ap.vendor_id = vendor.id
AND ap.id = acc_trans.trans_id


ORDER BY transdate, transtype, batch, transno, subtransno,  accno, accdesc, project, sub
;




update defaults set version = '3.0.0';
